Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Oct 2013 21:35:00 -0400

>   emacs = EMACSLOADPATH="$(abs_lisp)" LC_ALL=C "$(EMACS)" $(EMACSOPT)
>                                       ^^^^^^^^

> Does anyone know or remember why we set LC_ALL=C while running
> commands in lisp/ (and the same in leim/)?

IIRC the issue was to avoid things like misdetecting coding-systems
because of the user's locale setting, in the files we load/compile.

IOW, it was to work around bugs (e.g. missing coding: cookie) and is
likely unneeded nowadays.

        Stefan